## org.apache.portals.bridges.common
Interface ServletContextProvider

public interface ServletContextProvider

ServletContextProvider

Version:
  $Id: ServletContextProvider.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma

Method Summary
`javax.servlet.http.HttpServletRequest` `getHttpServletRequest(javax.portlet.GenericPortlet portlet, javax.portlet.PortletRequest request)`
`javax.servlet.http.HttpServletResponse` `getHttpServletResponse(javax.portlet.GenericPortlet portlet, javax.portlet.PortletResponse response)`
`javax.servlet.ServletContext` `getServletContext(javax.portlet.GenericPortlet portlet)`

Method Detail

### getServletContext

    public javax.servlet.ServletContext getServletContext(javax.portlet.GenericPortlet portlet)

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest(javax.portlet.GenericPortlet portlet,
                                                                       javax.portlet.PortletRequest request)

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse(javax.portlet.GenericPortlet portlet,
                                                                         javax.portlet.PortletResponse response)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.